% speed_response_plot.m
% 09/03/2024
% Plot of the response of the Qube rotary speed and voltage input

clear;
close all;
clc

load data_Qube_speed

t=speed_data(1,:)';  % time-instant
y=speed_data(2,:)'; % rotary speed in rad/sec
u=speed_data(3,:)';  % motor input voltage in V
Ts=t(2)-t(1);   % Sampling period in sec

figure
subplot(2,1,1)
plot(t,y,'r','linewidth',2)
legend('Disc rotary speed (rad/s)','location','northwest')
set(gca,'FontSize',12,'FontName','helvetica');
axis([0 t(end) 0 max(y)+10])
grid
subplot(2,1,2)
plot(t,u,'r','linewidth',2)
legend('Motor input voltage (V)','location','northwest')
xlabel('Time (seconds)')
axis([0 t(end) 0 2.5])
set(gca,'FontSize',12,'FontName','helvetica');
grid
