% test_your_model.m
% HG - 12/03/2024

load data_Qube_speed
close all;
clc

warning off


t=speed_data(1,:)';
y0=speed_data(2,:)';
initial_speed=y0(3,1);
y=y0-initial_speed;   % Removal of the possibly non-zero initial angular speed 
u=speed_data(3,:)';        % for the simulation
Ts=t(2)-t(1);
data=iddata(y,u,Ts);

% Define the Qube-servo 2 model below
% To be completed 
% M= 

yhat=lsim(M,u,t);

FIT = 100 * (1-norm(y-yhat)/norm(y-mean(y)));

figure
plot(t,y+initial_speed,t,yhat+initial_speed,'linewidth',2)
xlabel('time (s)')
legend('Measured rotary speed','Simulated rotary speed','location','Northwest')
title(['Fit between the model and measured responses: ',num2str(FIT,'% 10.1f'),' %'])
set(gca,'FontSize',14,'FontName','helvetica');
grid
shg


